Bug 435347 - Review Request: egd - Entropy Gathering Daemon
Review Request: egd - Entropy Gathering Daemon
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ed Hill
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-28 14:58 EST by Tom "spot" Callaway
Modified: 2008-03-10 22:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-10 22:23:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ed: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2008-02-28 14:58:49 EST
Spec URL: http://www.auroralinux.org/people/spot/review/new/egd.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/egd-0.9-1.fc9.src.rpm
Description: 
EGD is an Entropy Gathering Daemon meant to be used on systems that can run GPG
but which don't have a convenient (or reliable) source of random bits. It is a
regular user-space program that sits around, running programs like 'w' and
'last' and 'vmstat', collecting the randomness (or at least the
unpredictability) inherent in the output of these system statistics programs
when used on a reasonably busy system. It slowly stirs the output of these
gathering programs into a pool of entropy, much like the linux kernel device,
and allows other programs to read out random bits from this pool.
Comment 1 Ed Hill 2008-03-08 19:13:39 EST
Here's a quick review:

 + package name ok
 + spec macros look ok
 + both licenses are listed and is correctly included
 + spec is legible
 + source matches upstream sha1sum:
    dc1c3c0d28814c8ee870d8604c9c1603e1a44819  egd-0.9.tar.gz
    dc1c3c0d28814c8ee870d8604c9c1603e1a44819  egd-0.9.tar.gz.1
 + builds in mock for F8 x86_64
 + rpmlint is silent
 + no libs/*.la/-devel/etc.
 + dir ownership looks ok
 + clean exists and 'rm -rf $RPM_BUILD_ROOT' in install
 + installs and works-for-me
 
I don't see any blockers so its APPROVED.
Comment 2 Tom "spot" Callaway 2008-03-10 15:09:50 EDT
New Package CVS Request
=======================
Package Name: egd
Short Description: Entropy Gathering Daemon 
Owners: spot
Branches: F-7 F-8 devel
InitialCC: 
Cvsextras Commits: yes
Comment 3 Tom "spot" Callaway 2008-03-10 22:23:14 EDT
Built in rawhide (and F-7/F-8). Thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.